Bug 594650 - [abrt] crash in labyrinth-0.4.0-6.fc12: expatbuilder.py:211:parseFile:ExpatError: no element found: line 1, column 0
[abrt] crash in labyrinth-0.4.0-6.fc12: expatbuilder.py:211:parseFile:ExpatEr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: labyrinth (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
abrt_hash:1d80c37b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 05:05 EDT by lejeczek
Modified: 2010-12-03 09:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:30:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.60 KB, text/plain)
2010-05-21 05:05 EDT, lejeczek
no flags Details

  None (edit)
Description lejeczek 2010-05-21 05:05:25 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/labyrinth
component: labyrinth
executable: /usr/bin/labyrinth
kernel: 2.6.32.12-115.fc12.x86_64
package: labyrinth-0.4.0-6.fc12
reason: expatbuilder.py:211:parseFile:ExpatError: no element found: line 1, column 0
release: Fedora release 12 (Constantine)

backtrace
-----
expatbuilder.py:211:parseFile:ExpatError: no element found: line 1, column 0

Traceback (most recent call last):
  File "/usr/bin/labyrinth", line 46, in <module>
    import Browser
  File "/usr/lib/python2.6/site-packages/labyrinth/Browser.py", line 33, in <module>
    import MainWindow
  File "/usr/lib/python2.6/site-packages/labyrinth/MainWindow.py", line 33, in <module>
    from MapList import MapList
  File "/usr/lib/python2.6/site-packages/labyrinth/MapList.py", line 200, in <module>
    MapList.load_all_from_dir(utils.get_save_dir ())
  File "/usr/lib/python2.6/site-packages/labyrinth/MapList.py", line 108, in load_all_from_dir
    cls.new_from_file(dir+f)
  File "/usr/lib/python2.6/site-packages/labyrinth/MapList.py", line 117, in new_from_file
    map._read_from_file(filename)
  File "/usr/lib/python2.6/site-packages/labyrinth/MapList.py", line 49, in _read_from_file
    doc = dom.parse (filename)
  File "/usr/lib64/python2.6/site-packages/_xmlplus/dom/minidom.py", line 1915, in parse
    return expatbuilder.parse(file)
  File "/usr/lib64/python2.6/site-packages/_xmlplus/dom/expatbuilder.py", line 926, in parse
    result = builder.parseFile(fp)
  File "/usr/lib64/python2.6/site-packages/_xmlplus/dom/expatbuilder.py", line 211, in parseFile
    parser.Parse("", True)
ExpatError: no element found: line 1, column 0

Local variables in innermost frame:
buffer: ''
self: <xml.dom.expatbuilder.ExpatBuilderNS instance at 0xe41098>
parser: <pyexpat.xmlparser object at 0xdf8910>
file: <closed file '/home/pawel/.gnome2/labyrinth/e1122579e7c78711e1e88a0334c73e2e2f305eb6.map', mode 'rb' at 0xdf0b58>
first_buffer: True
Comment 1 lejeczek 2010-05-21 05:05:30 EDT
Created attachment 415616 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 10:28:38 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 09:30:00 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.